> ## Documentation Index
> Fetch the complete documentation index at: https://sdk.grid.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get parameters

> Retrieves the cells whose values drive the calculations in a workbook, such as its assumptions or inputs.

Spreadsheets often contain cells that are assumptions and input values for its calculations. We call these parameters. For example, in a financial model, parameters might include interest rates, tax rates, or other key inputs that affect the overall results of the model. Parameters are always simple values like numbers, and will never be formulas.

<Note>This endpoint is in beta and is subject to change.</Note>


## OpenAPI

````yaml get /v1/workbooks/{id}/parameters
openapi: 3.1.0
info:
  title: GRID API
  summary: Spreadsheets run the world. Now you can run spreadsheets.
  description: >-
    GRID's API transforms spreadsheets into powerful, programmable APIs. Our
    platform supports seamless integration of spreadsheet data into your
    applications, supporting dynamic interactions with spreadsheets, including
    real-time data querying with ephemeral updates.
  version: 1.0.0
servers:
  - url: https://api.grid.is
security: []
tags:
  - name: workbooks
    description: Interact with workbooks and their data
paths:
  /v1/workbooks/{id}/parameters:
    get:
      tags:
        - workbooks
      summary: >-
        Retrieves the cells whose values drive the calculations in a workbook,
        such as its assumptions or inputs
      description: >-
        Retrieve labels automatically detected for cells and ranges in the
        workbook.
      operationId: get_workbook_parameters
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Unique workbook id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkbookParametersResponse'
        '400':
          description: Error returned when you make a bad request
          content:
            application/json:
              example:
                error_code: invalid_json
                error_message: Bad request
                error_details: RequestJsonParsingFailed
        '403':
          description: Error returned when you don't have permission to query a workbook
          content:
            application/json:
              example:
                error_message: Forbidden
                error_details: Only API keys can access the workbook engine API
        '429':
          description: Error returned when you exceed your API rate limit
          content:
            application/json:
              example:
                error_code: rate_limit_exceeded
                error_message: Rate limit exceeded
                error_details: 'Retry after: 60'
      security:
        - apiKey: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Grid from '@grid-is/api';

            const client = new Grid({
              apiKey: 'My API Key',
            });

            const response = await client.beta.getWorkbookParameters('id');

            console.log(response.workbook_id);
        - lang: Python
          source: |-
            from grid_api import Grid

            client = Grid(
                api_key="My API Key",
            )
            response = client.beta.get_workbook_parameters(
                "id",
            )
            print(response.workbook_id)
        - lang: Java
          source: |-
            package is.grid.api.example;

            import is.grid.api.client.GridClient;
            import is.grid.api.client.okhttp.GridOkHttpClient;
            import is.grid.api.models.beta.BetaGetWorkbookParametersParams;
            import is.grid.api.models.beta.BetaGetWorkbookParametersResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    GridClient client = GridOkHttpClient.fromEnv();

                    BetaGetWorkbookParametersResponse response = client.beta().getWorkbookParameters("id");
                }
            }
components:
  schemas:
    WorkbookParametersResponse:
      properties:
        created:
          type: string
          format: date-time
          title: Created
          description: The date/time the parameters were detected and stored
        workbook_id:
          type: string
          title: Workbook Id
          description: The id of the workbook the labels belong to
        workbook_version:
          type: integer
          title: Workbook Version
          description: The version of the workbook the labels belong to
        parameters:
          items:
            $ref: '#/components/schemas/ModelParameter'
          type: array
          title: Parameters
          description: The parameters associated with the workbook
      type: object
      required:
        - created
        - workbook_id
        - workbook_version
        - parameters
      title: WorkbookParametersResponse
    ModelParameter:
      properties:
        ref:
          type: string
          title: Ref
          description: The cell address/reference containing the parameter
        type:
          $ref: '#/components/schemas/app__model__labels__CellType'
          description: The type of value found in the parameter cell
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: boolean
            - type: 'null'
          title: Value
          description: >-
            The value in the parameter cell, type is determined by the type
            field
        labels:
          items:
            $ref: '#/components/schemas/BaseCellLabel'
          type: array
          title: Labels
          description: The labels associated with the parameter
      type: object
      required:
        - ref
        - type
        - labels
      title: ModelParameter
    app__model__labels__CellType:
      type: string
      enum:
        - blank
        - date
        - number
        - string
        - boolean
        - error
      title: CellType
    BaseCellLabel:
      properties:
        at:
          type: string
          title: At
          description: The cell address/reference which the label applies to
        text:
          type: string
          title: Text
          description: The label string
      type: object
      required:
        - at
        - text
      title: BaseCellLabel
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT

````